A Kudo is a simple gesture of thanks, praise, or endorsement from an Ohloh account to another person. An account may send Kudos to as many people as desired.
Kudos can be sent directly to another Ohloh account, or they may be sent to a contributor on a Project who does not have an Ohloh account. This flexibility makes Kudo records slightly complex.
When a Kudo is sent directly to an Ohloh Account, the recipient is identified by receiver_account_id.
When a Kudo is sent to a contributor on a Project who does not have an Account, the Kudo record contains both contributor_id and project_id, which together uniquely identify the recipient.
Ocassionally, an Ohloh Account holder may claim to be a Project contributor who has some existing Kudos. When this happens, the existing Kudos become linked to the Account, and the Kudos will now have all three properties: receiver_account_id, contributor_id, and project_id.
To get a list of all Kudos received by an Account:
GET http://www.ohloh.net/accounts/{account_id}/kudos.xml
To get a list of all Kudos sent by an Account:
GET http://www.ohloh.net/accounts/{account_id}/kudos/sent.xml
These methods do not support any sorting, filtering, or paging options. You will always receive the complete list of all Kudos, sorted from new to old.
If you do not know the Account ID, you can also query for Kudos using the MD5 hash of the email address. Read more about email-based queries here.